commit:     ac00d754eac4aa50966627545d2042761b61546f
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Tue Feb 13 18:54:29 2018 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Tue Feb 13 18:55:13 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ac00d754

net-analyzer/prometheus-alertmanager: Version bump to 0.14.0

Package-Manager: Portage-2.3.24, Repoman-2.3.6

 net-analyzer/prometheus-alertmanager/Manifest      |  1 +
 .../prometheus-alertmanager-0.14.0.ebuild          | 52 ++++++++++++++++++++++
 2 files changed, 53 insertions(+)

diff --git a/net-analyzer/prometheus-alertmanager/Manifest 
b/net-analyzer/prometheus-alertmanager/Manifest
index 8ff6bca2f3e..1e773c246d1 100644
--- a/net-analyzer/prometheus-alertmanager/Manifest
+++ b/net-analyzer/prometheus-alertmanager/Manifest
@@ -1 +1,2 @@
 DIST prometheus-alertmanager-0.13.0.tar.gz 2782163 BLAKE2B 
4918f84a8a8312a3fa53f03b78bb8acc6118e69048ff3fadb2676721340fa120360a636fc11485999e948965569241658eb8ee01204453120adcce6bd1da40d4
 SHA512 
3f402f577e42bfc9dd9ef2dc1cb634d3654776f3b13d698170e3ae3c1612a45115e0d188d0768880ca968ec9157e05a2082647ca1de132f8be3c7eb7ad0dad42
+DIST prometheus-alertmanager-0.14.0.tar.gz 2786623 BLAKE2B 
e9c773af81153b3062d27464c6b8d1edcafe66575b8d5a6309b162c6546d3dedf7ae5b1afcf4dafb3dfdb6bcf826aeb9119b27cfe596da365a6272ee71b30441
 SHA512 
e352d51d86b853ff679892df3c494da2c7b4afb918d807e6d63b76e959b586f43a4c773de18bdd9e6a5067d4034748bb304ebdee2f08983b00890c1ae393d0b8

diff --git 
a/net-analyzer/prometheus-alertmanager/prometheus-alertmanager-0.14.0.ebuild 
b/net-analyzer/prometheus-alertmanager/prometheus-alertmanager-0.14.0.ebuild
new file mode 100644
index 00000000000..bb54481780e
--- /dev/null
+++ b/net-analyzer/prometheus-alertmanager/prometheus-alertmanager-0.14.0.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit user golang-build golang-vcs-snapshot
+
+EGO_PN="github.com/prometheus/alertmanager"
+EGIT_COMMIT="v${PV/_rc/-rc.}"
+ALERTMANAGER_COMMIT="fb713f6"
+ARCHIVE_URI="https://${EGO_PN}/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
+KEYWORDS="~amd64"
+
+DESCRIPTION="Alertmanager for alerts sent by client applications such as 
Prometheus"
+HOMEPAGE="https://github.com/prometheus/alertmanager";
+SRC_URI="${ARCHIVE_URI}"
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE=""
+
+DEPEND="dev-util/promu"
+
+RESTRICT="test"
+
+pkg_setup() {
+       enewgroup ${PN}
+       enewuser ${PN} -1 -1 -1 ${PN}
+}
+
+src_prepare() {
+       default
+       sed -i -e "s/{{.Revision}}/${ALERTMANAGER_COMMIT}/" 
src/${EGO_PN}/.promu.yml || die
+}
+
+src_compile() {
+       pushd src/${EGO_PN} || die
+       mkdir -p bin || die
+       GOPATH="${S}" promu build -v --prefix alertmanager || die
+       popd || die
+}
+
+src_install() {
+       pushd src/${EGO_PN} || die
+       dobin alertmanager/alertmanager
+       dodoc {README,CHANGELOG,CONTRIBUTING}.md
+       insinto /etc/alertmanager/
+       newins doc/examples/simple.yml config.yml.example
+       popd || die
+       keepdir /var/lib/alertmanager /var/log/alertmanager
+       fowners ${PN}:${PN} /var/lib/alertmanager /var/log/alertmanager
+       newinitd "${FILESDIR}"/${PN}.initd ${PN}
+       newconfd "${FILESDIR}"/${PN}.confd ${PN}
+}

Reply via email to